# eric5.Project.ProjectSourcesBrowser

Module implementing a class used to display the Sources part of the project.

### Global Attributes

None

### Classes

ProjectSourcesBrowser | A class used to display the Sources part of the project.

### Functions

None

## ProjectSourcesBrowser

A class used to display the Sources part of the project.

### Signals

closeSourceWindow(str)
  emitted after a file has been removed/deleted from the project
showMenu(str, QMenu)
  emitted when a menu is about to be shown. The name of the menu and a reference to the menu are given.
sourceFile(str)
  emitted to open the given file.
sourceFile(str, int)
  emitted to open the given file at the given line.
sourceFile(str, int, str)
  emitted to open the given file as the given type at the given line.

### Derived from

ProjectBaseBrowser

### Class Attributes

None

### Class Methods

None

### Methods

ProjectSourcesBrowser | Constructor
__addNewPackage | Private method to add a new package to the project.
__addSourceDirectory | Private method to add source files of a directory to the project.
__addSourceFiles | Private method to add a source file to the project.
__closeAllWindows | Private method to close all project related windows.
__createPythonPopupMenus | Privat method to generate the popup menus for a Python project.
__createRubyPopupMenus | Privat method to generate the popup menus for a Ruby project.
__deleteFile | Private method to delete files from the project.
__loadDiagram | Private slot to load a diagram from file.
__showApplicationDiagram | Private method to handle the application diagram context menu action.
__showClassDiagram | Private method to handle the class diagram context menu action.
__showCodeCoverage | Private method to handle the code coverage context menu action.
__showCodeMetrics | Private method to handle the code metrics context menu action.
__showContextMenu | Private slot called by the sourceMenu aboutToShow signal.
__showContextMenuBack | Private slot called by the backMenu aboutToShow signal.
__showContextMenuCheck | Private slot called before the checks menu is shown.
__showContextMenuDir | Private slot called by the dirMenu aboutToShow signal.
__showContextMenuDirMulti | Private slot called by the dirMultiMenu aboutToShow signal.
__showContextMenuGraphics | Private slot called before the checks menu is shown.
__showContextMenuMulti | Private slot called by the multiMenu aboutToShow signal.
__showContextMenuShow | Private slot called before the show menu is shown.
__showImportsDiagram | Private method to handle the imports diagram context menu action.
__showPackageDiagram | Private method to handle the package diagram context menu action.
__showProfileData | Private method to handle the show profile data context menu action.
_contextMenuRequested | Protected slot to show the context menu.
_createPopupMenus | Protected overloaded method to generate the popup menu.
_openItem | Protected slot to handle the open popup menu entry.
_projectClosed | Protected slot to handle the projectClosed signal.

### Static Methods

None

#### ProjectSourcesBrowser (Constructor)

ProjectSourcesBrowser(project, parent=None)

Constructor

project
  reference to the project object
parent
  parent widget of this browser (QWidget)

#### ProjectSourcesBrowser.__addNewPackage

__addNewPackage()

Private method to add a new package to the project.

#### ProjectSourcesBrowser.__addSourceDirectory

__addSourceDirectory()

Private method to add source files of a directory to the project.

#### ProjectSourcesBrowser.__addSourceFiles

__addSourceFiles()

Private method to add a source file to the project.

#### ProjectSourcesBrowser.__closeAllWindows

__closeAllWindows()

Private method to close all project related windows.

#### ProjectSourcesBrowser.__createPythonPopupMenus

__createPythonPopupMenus()

Privat method to generate the popup menus for a Python project.

#### ProjectSourcesBrowser.__createRubyPopupMenus

__createRubyPopupMenus()

Privat method to generate the popup menus for a Ruby project.

#### ProjectSourcesBrowser.__deleteFile

__deleteFile()

Private method to delete files from the project.

#### ProjectSourcesBrowser.__loadDiagram

__loadDiagram()

Private slot to load a diagram from file.

#### ProjectSourcesBrowser.__showApplicationDiagram

__showApplicationDiagram()

Private method to handle the application diagram context menu action.

#### ProjectSourcesBrowser.__showClassDiagram

__showClassDiagram()

Private method to handle the class diagram context menu action.

#### ProjectSourcesBrowser.__showCodeCoverage

__showCodeCoverage()

Private method to handle the code coverage context menu action.

#### ProjectSourcesBrowser.__showCodeMetrics

__showCodeMetrics()

Private method to handle the code metrics context menu action.

#### ProjectSourcesBrowser.__showContextMenu

__showContextMenu()

Private slot called by the sourceMenu aboutToShow signal.

#### ProjectSourcesBrowser.__showContextMenuBack

__showContextMenuBack()

Private slot called by the backMenu aboutToShow signal.

#### ProjectSourcesBrowser.__showContextMenuCheck

__showContextMenuCheck()

Private slot called before the checks menu is shown.

#### ProjectSourcesBrowser.__showContextMenuDir

__showContextMenuDir()

Private slot called by the dirMenu aboutToShow signal.

#### ProjectSourcesBrowser.__showContextMenuDirMulti

__showContextMenuDirMulti()

Private slot called by the dirMultiMenu aboutToShow signal.

#### ProjectSourcesBrowser.__showContextMenuGraphics

__showContextMenuGraphics()

Private slot called before the checks menu is shown.

#### ProjectSourcesBrowser.__showContextMenuMulti

__showContextMenuMulti()

Private slot called by the multiMenu aboutToShow signal.

#### ProjectSourcesBrowser.__showContextMenuShow

__showContextMenuShow()

Private slot called before the show menu is shown.

#### ProjectSourcesBrowser.__showImportsDiagram

__showImportsDiagram()

Private method to handle the imports diagram context menu action.

#### ProjectSourcesBrowser.__showPackageDiagram

__showPackageDiagram()

Private method to handle the package diagram context menu action.

#### ProjectSourcesBrowser.__showProfileData

__showProfileData()

Private method to handle the show profile data context menu action.

#### ProjectSourcesBrowser._contextMenuRequested

_contextMenuRequested(coord)

Protected slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### ProjectSourcesBrowser._createPopupMenus

_createPopupMenus()

Protected overloaded method to generate the popup menu.

#### ProjectSourcesBrowser._openItem

_openItem()

Protected slot to handle the open popup menu entry.

#### ProjectSourcesBrowser._projectClosed

_projectClosed()

Protected slot to handle the projectClosed signal.

Up